Epson Stylus NX230 Small-in-One™ All-in-One Printer

Selected FAQ

Q:
What are the system requirements for using the product with my computer?
A:
See the requirements below for your computer system.

  • Microsoft Windows 7, Windows Vista, Windows XP Professional x64 Edition, or Windows XP SP1 or higher


  • Macintosh OS X 10.4.11, 10.5.8, 10.6.x, or 10.7
Published: September 21, 2011

Was this helpful? Yes No Didn't Apply

Viewed FAQs

Return to Main FAQs Page